"""Exceptions for LK3 API."""
class LK3Error(Exception):
    """Generic LK3 excepion."""


class LK3ConnectionError(LK3Error):
    """LK3 connection exception."""


class LK3VersionError(LK3Error):
    """Unsupported firmware version (or device mismatch)."""


class LK3AuthenticationError(LK3Error):
    """Wrong username or password."""
