# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [0.5.2] - 2021-01-04
### Changed
- Improve installation instructions in `README.md`.

## [0.5.1] - 2021-01-04
### Fixed
- Fix configuring device with Basic Authentication enabled.

## [0.5.0] - 2020-11-19
### Added
- Parse sdm with divisors depending on HW, SW and modbus sensor.

## [0.4.1] - 2020-08-24
### Changed
- Use name for entity's name instead of host.

## [0.4.0] - 2020-08-24
### Added
- Add name to configuration form.

### Fixed
- Moved translations to directory without `.`.
- Fix displaying error messages during configuration.

## [0.3.0] - 2020-03-02
### Added
- Update interval value to config_flow.

### Fixed
- Fix adding multiple devices (invalid mac query).

## [0.2.0] - 2020-02-13
### Added
- Reading states of digital inputs (inpd).
- Reading and controlling pwm outputs.

### Changed
- Use `/json/all.json` instead of multi file query (requires web version 1.16.x+ on LK3).

    Query times [s] | old version | new version | New/Old Avg [%] | Increase [times]
    ---|---|---|---|---
    LK3.0 | 0.389 (0.361, 0.611) | 0.094 (0.071, 0.272) | 24.2 | 4.13
    LK3.5 | 0.260 (0.249, 0.327) | 0.022 (0.017, 0.065) | 8.5 | 11.82

## [0.1.0] - 2020-01-17

- Basic homeassistant integration for LK3.
